include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### knights (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        board_2d.cpp board_base.cpp setpagedisplay.cpp
        proto_xboard.cpp dlg_selectengine.cpp thinbuttons.cpp
        pgn.cpp io_engine.cpp dlg_challenge.cpp idmanager.cpp
        challenge_graph.cpp dlg_login.cpp tabgrip.cpp
        tabpage.cpp tab_seeklist.cpp dlg_engine.cpp
        setpageaudio.cpp proto_base.cpp dlg_server.cpp
        core.cpp match_param.cpp knightspixcache.cpp
        dlg_settings.cpp console.cpp match.cpp
        setpagegeneral.cpp splash.cpp audio.cpp
        main.cpp logic.cpp list_pgn.cpp challenge_graph_view.cpp
        accel.cpp dlg_selectemail.cpp challenge_rectangle.cpp
        knightstextview.cpp tabmanager.cpp command.cpp
        dlg_newmatch.cpp chessclock.cpp dlg_promote.cpp
        resource.cpp tabbox.cpp io_internet.cpp
        challenge_game.cpp knights.cpp tab_pgnview.cpp
        io_base.cpp wiz_setup.cpp setpageservers.cpp
        proto_uci.cpp setpageengines.cpp
  LINK
     tdecore-shared tdeui-shared tdeio-shared tdeprint-shared
     artskde-shared artsflow_idl kmedia2_idl soundserver_idl mcop
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES pgn.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
)

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${APPS_INSTALL_DIR}/Games/Board
)
